Overview
PUT/persona-memory/facts/{id}persona_memory

Update facts

Replace a record in facts by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • ecosystemIdoptionalstring
  • deletedAtoptionalstring?
  • personaIdoptionalstring
  • scopeoptionalstring
  • memoryIdoptionalstring?
  • subjectTableoptionalstring?
  • subjectIdoptionalstring?
  • predicateoptionalstring
  • objectTableoptionalstring?
  • objectIdoptionalstring?
  • objectValueoptionalstring?
  • sourceoptionalstring
  • confidenceoptionalinteger
  • validFromoptionalstring?
  • validTooptionalstring?
  • statusoptionalstring
  • supersedesIdoptionalstring?
Example
{
  "ecosystemId": "string",
  "deletedAt": "string",
  "personaId": "string",
  "scope": "string",
  "memoryId": "string",
  "subjectTable": "string",
  "subjectId": "string",
  "predicate": "string",
  "objectTable": "string",
  "objectId": "string",
  "objectValue": "string",
  "source": "string",
  "confidence": 0,
  "validFrom": "string",
  "validTo": "string",
  "status": "string",
  "supersedesId": "string"
}
Responses
200

facts

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • personaIdstring
  • scopestring
  • memoryIdstring?
  • subjectTablestring?
  • subjectIdstring?
  • predicatestring
  • objectTablestring?
  • objectIdstring?
  • objectValuestring?
  • sourcestring
  • confidenceinteger
  • validFromstring?
  • validTostring?
  • statusstring
  • supersedesIdstring?
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "ecosystemId": "string",
  "customerId": "string",
  "deletedAt": "string",
  "personaId": "string",
  "scope": "string",
  "memoryId": "string",
  "subjectTable": "string",
  "subjectId": "string",
  "predicate": "string",
  "objectTable": "string",
  "objectId": "string",
  "objectValue": "string",
  "source": "string",
  "confidence": 0,
  "validFrom": "string",
  "validTo": "string",
  "status": "string",
  "supersedesId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/persona-memory/facts/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "ecosystemId": "string",
  "deletedAt": "string",
  "personaId": "string",
  "scope": "string",
  "memoryId": "string",
  "subjectTable": "string",
  "subjectId": "string",
  "predicate": "string",
  "objectTable": "string",
  "objectId": "string",
  "objectValue": "string",
  "source": "string",
  "confidence": 0,
  "validFrom": "string",
  "validTo": "string",
  "status": "string",
  "supersedesId": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/facts/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"ecosystemId\": \"string\",\n  \"deletedAt\": \"string\",\n  \"personaId\": \"string\",\n  \"scope\": \"string\",\n  \"memoryId\": \"string\",\n  \"subjectTable\": \"string\",\n  \"subjectId\": \"string\",\n  \"predicate\": \"string\",\n  \"objectTable\": \"string\",\n  \"objectId\": \"string\",\n  \"objectValue\": \"string\",\n  \"source\": \"string\",\n  \"confidence\": 0,\n  \"validFrom\": \"string\",\n  \"validTo\": \"string\",\n  \"status\": \"string\",\n  \"supersedesId\": \"string\"\n}",
});
const data = await res.json();